View Issue Details

IDProjectCategoryView StatusLast Update
0001195Main CAcert Websitecertificate issuingpublic2014-04-15 22:02
ReporterINOPIAE Assigned Towytze  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q3 
Target Version2013 Q3Fixed in Version2014 Q1 
Summary0001195: Take out change ability on pages/account/6.php
DescriptionAfter creating a client certificate the result page (6.php) shows a functionality to change the information about the certificate.
Here only the information should be visible without any functionality.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2013-07-24 06:03

updater   ~0004188

I pushed a fix to https://github.com/INOPIAE/CAcert/commit/05db193912845057c2355b42583ecb1d4385758c

Eva

2013-09-16 18:37

updater   ~0004330

I created a client certificate wit FF
After it was created I got
- some links to install or download the certificate
- the certificate
and the information-summery about the certificate.

The only functionality in the context of this information summary is the checkbox if the certificate should be used for the login. This checkbox can be checked or unchecked.

There is no further functionality to change the information on this page.

=> ok (if the login-option does not count as "information-change"

INOPIAE

2013-11-05 22:20

updater   ~0004431

I created a client certificate wit FF
After it was created I got
- some links to install or download the certificate
- the certificate
and the information summary about the certificate.

The only functionality in the context of this information summary is the checkbox if the certificate should be used for the login. This checkbox can be checked or unchecked.

There is no further functionality to change the information on this page.

=> ok

INOPIAE

2013-11-05 22:36

updater   ~0004435

Last edited: 2013-11-05 22:38

View 2 revisions

added new fix to github https://github.com/INOPIAE/CAcert/commit/24ab4ac389243eeb8edd68678443e16d8b3bc5aa

INOPIAE

2013-11-05 22:53

updater   ~0004437

I created a client certificate wit FF
After it was created I got
- some links to install or download the certificate
- the certificate
and the information summary about the certificate.

The checkbox if the certificate should be used for the login is now disabled.

=> ok

Eva

2013-11-05 23:05

updater   ~0004439

Last edited: 2013-11-06 08:04

View 2 revisions

created a new client certificate w/ signin-optionwith FF
- could not change anything afterwards.
-> ok

created a new client certificate w/ signin-optionwith IE
- could not change anything afterwards.
-> ok

created a new client certificate w/o signin-optionwith FF
- could not change anything afterwards.
-> ok

created a new client certificate w/o signin-optionwith IE
- could not change anything afterwards.
-> ok

used different combinations of the other options in the creation-processes

=> ok

MartinGummi

2013-11-05 23:20

updater   ~0004440

Anmelden check box disabled

no changes possibility

NEOatNHNG

2014-01-08 00:34

administrator   ~0004499

Second review OK. Ready to deploy.

NEOatNHNG

2014-01-14 23:58

administrator   ~0004515

Mail sent to critical admins.

wytze

2014-01-15 15:52

developer   ~0004523

The patch has been installed on the production server on January 15, 2014. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2014-01/msg00004.html

Issue History

Date Modified Username Field Change
2013-07-23 23:03 INOPIAE New Issue
2013-07-23 23:03 INOPIAE Assigned To => INOPIAE
2013-07-24 06:03 INOPIAE Note Added: 0004188
2013-07-24 06:03 INOPIAE Assigned To INOPIAE => BenBE
2013-07-24 06:03 INOPIAE Status new => fix available
2013-09-14 17:52 BenBE Reviewed by => BenBE
2013-09-14 17:52 BenBE Status fix available => needs review & testing
2013-09-14 17:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 20f240fa
2013-09-14 17:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 10543509
2013-09-14 17:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 05db1939
2013-09-16 18:37 Eva Note Added: 0004330
2013-09-21 06:00 BenBE Assigned To BenBE => egal
2013-11-05 22:20 INOPIAE Note Added: 0004431
2013-11-05 22:36 INOPIAE Note Added: 0004435
2013-11-05 22:38 INOPIAE Note Edited: 0004435 View Revisions
2013-11-05 22:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 8b62e936
2013-11-05 22:50 BenBE Source_changeset_attached => cacert-devel testserver-stable b9e886be
2013-11-05 22:53 INOPIAE Note Added: 0004437
2013-11-05 23:05 Eva Note Added: 0004439
2013-11-05 23:20 MartinGummi Note Added: 0004440
2013-11-06 08:04 Eva Note Edited: 0004439 View Revisions
2013-11-19 23:52 MartinGummi Assigned To egal =>
2013-11-19 23:52 MartinGummi Status needs review & testing => needs review
2014-01-08 00:34 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2014-01-08 00:34 NEOatNHNG Note Added: 0004499
2014-01-08 00:34 NEOatNHNG Status needs review => ready to deploy
2014-01-14 23:58 NEOatNHNG Note Added: 0004515
2014-01-15 00:30 NEOatNHNG Source_changeset_attached => cacert-devel release 41e6ea88
2014-01-15 00:30 NEOatNHNG Source_changeset_attached => cacert-devel release 2c4c2922
2014-01-15 15:52 wytze Note Added: 0004523
2014-01-15 15:52 wytze Status ready to deploy => solved?
2014-01-15 15:52 wytze Fixed in Version => 2014 Q1
2014-01-15 15:52 wytze Resolution open => fixed
2014-01-15 15:52 wytze Assigned To => wytze
2014-04-15 22:02 INOPIAE Status solved? => closed